class GetPRInformationList {
  List<PRHeader>? pRHeader;
  List<PRLines>? pRLines;
  String? pCURRENCYCODE;

  GetPRInformationList({this.pRHeader, this.pRLines, this.pCURRENCYCODE});

  GetPRInformationList.fromJson(Map<String, dynamic> json) {
    if (json['PRHeader'] != null) {
      pRHeader = <PRHeader>[];
      json['PRHeader'].forEach((v) {
        pRHeader!.add(new PRHeader.fromJson(v));
      });
    }
    if (json['PRLines'] != null) {
      pRLines = <PRLines>[];
      json['PRLines'].forEach((v) {
        pRLines!.add(new PRLines.fromJson(v));
      });
    }
    pCURRENCYCODE = json['P_CURRENCY_CODE'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.pRHeader != null) {
      data['PRHeader'] = this.pRHeader!.map((v) => v.toJson()).toList();
    }
    if (this.pRLines != null) {
      data['PRLines'] = this.pRLines!.map((v) => v.toJson()).toList();
    }
    data['P_CURRENCY_CODE'] = this.pCURRENCYCODE;
    return data;
  }
}

class PRHeader {
  String? dESCRIPTION;
  String? pRNUMBER;
  String? rEQUISITIONTOTAL;
  String? tAXTOTAL;

  PRHeader({this.dESCRIPTION, this.pRNUMBER, this.rEQUISITIONTOTAL, this.tAXTOTAL});

  PRHeader.fromJson(Map<String, dynamic> json) {
    dESCRIPTION = json['DESCRIPTION'];
    pRNUMBER = json['PR_NUMBER'];
    rEQUISITIONTOTAL = json['REQUISITION_TOTAL'];
    tAXTOTAL = json['TAX_TOTAL'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> data = new Map<String, dynamic>();
    data['DESCRIPTION'] = this.dESCRIPTION;
    data['PR_NUMBER'] = this.pRNUMBER;
    data['REQUISITION_TOTAL'] = this.rEQUISITIONTOTAL;
    data['TAX_TOTAL'] = this.tAXTOTAL;
    return data;
  }
}

class PRLines {
  String? cOSTCENTER;
  String? dESCRIPTION;
  int? fROMROWNUM;
  int? iTEMAMU;
  String? iTEMCODE;
  int? lINEAMOUNT;
  int? lINENUM;
  int? nOOFROWS;
  int? qUANTITY;
  int? rOWNUM;
  int? tOROWNUM;
  int? uNITPRICE;
  String? uOM;

  PRLines(
      {this.cOSTCENTER,
      this.dESCRIPTION,
      this.fROMROWNUM,
      this.iTEMAMU,
      this.iTEMCODE,
      this.lINEAMOUNT,
      this.lINENUM,
      this.nOOFROWS,
      this.qUANTITY,
      this.rOWNUM,
      this.tOROWNUM,
      this.uNITPRICE,
      this.uOM});

  PRLines.fromJson(Map<String, dynamic> json) {
    cOSTCENTER = json['COST_CENTER'];
    dESCRIPTION = json['DESCRIPTION'];
    fROMROWNUM = json['FROM_ROW_NUM'];
    iTEMAMU = json['ITEM_AMU'];
    iTEMCODE = json['ITEM_CODE'];
    lINEAMOUNT = json['LINE_AMOUNT'];
    lINENUM = json['LINE_NUM'];
    nOOFROWS = json['NO_OF_ROWS'];
    qUANTITY = json['QUANTITY'];
    rOWNUM = json['ROW_NUM'];
    tOROWNUM = json['TO_ROW_NUM'];
    uNITPRICE = json['UNIT_PRICE'];
    uOM = json['UOM'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> data = new Map<String, dynamic>();
    data['COST_CENTER'] = this.cOSTCENTER;
    data['DESCRIPTION'] = this.dESCRIPTION;
    data['FROM_ROW_NUM'] = this.fROMROWNUM;
    data['ITEM_AMU'] = this.iTEMAMU;
    data['ITEM_CODE'] = this.iTEMCODE;
    data['LINE_AMOUNT'] = this.lINEAMOUNT;
    data['LINE_NUM'] = this.lINENUM;
    data['NO_OF_ROWS'] = this.nOOFROWS;
    data['QUANTITY'] = this.qUANTITY;
    data['ROW_NUM'] = this.rOWNUM;
    data['TO_ROW_NUM'] = this.tOROWNUM;
    data['UNIT_PRICE'] = this.uNITPRICE;
    data['UOM'] = this.uOM;
    return data;
  }
}
